[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.Progress

Monitor the Progress of the drawing.

## Declaration

Source position: graphics.pp line 812

`protected procedure TGraphic.Progress(`
`Sender: TObject;`
`Stage: TProgressStage;`
`PercentDone: Byte;`
`RedrawNow: Boolean;`
`const R: TRect;`
`const Msg: string;`
`var DoContinue: Boolean`
`); virtual; procedure TGraphic.Progress(`
`Sender: TObject;`
`Stage: TProgressStage;`
`PercentDone: Byte;`
`RedrawNow: Boolean;`
`const R: TRect;`
`const Msg: string`
`); virtual;`

## Arguments

`Sender` |  | Object for the notification.
`Stage` |  | Indicates whether an operation is starting, running, or ending.
`PercentDone` |  | Completion percentage for the progress step.
`RedrawNow` |  | Indicates if the application should redraw the image.
`R` |  | Rectangle with the coordinates affected by the progress step.
`Msg` |  | Message for the progress notification.
`DoContinue` |  | Indicates if the caller should continue the current operation.

## Arguments

`Sender` |  | Object for the notification.
`Stage` |  | Indicates whether an operation is starting, running, or ending.
`PercentDone` |  | Completion percentage for the progress step.
`RedrawNow` |  | Indicates if the application should redraw the image.
`R` |  | Rectangle with the coordinates affected by the progress step.
`Msg` |  | Message for the progress notification.

## Description

Progress is an overloaded procedure used to perform actions needed for progress notifications for the class instance. Arguments passed to the method identify the class instance, the progress step, the completion amount, and display options for the notification.

Progress signals the OnProgress event handler (when assigned) using the parameter values as arguments. Applications must implement an OnProgress event handler to respond to the progress notification.

Progress is a virtual method, and can be overridden in a descendent class to preform any actions needed when reading or writing image data for a specific image format.

Remark: | Please note the data type used for the PercentDone argument. It is declared as a Byte type, and will accept a value that exceeds 100.

## See also

TGraphic.OnProgress |  | Event handler signalled to track the progress of operations in the class instance.
TProgressEvent |  | Specifies an event handler for monitoring the progress of a drawing process.